Is the Magic Trackpad compatible with Tiger 10.4.x on a PowerPC iMac?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    No, it will not. The Magic Trackpad requires OS 10.6.4. Since PowerPC-based Macs cannot run Snow Leopard, your iMac will be unable to use the Magic Trackpad.

    Was this useful? Answer 1

    12 of 12 people found this useful

Related Questions